pro eis_cal_dcql, data_obj

  ccd_sz=data_obj->getccd_sz()
  det_dark = fltarr(ccd_sz[0], ccd_sz[1])

  ; make detector for dark current
  nwin = data_obj->getnwin()
  for i=0,nwin-1 do begin
   data_obj->getwin, i, wd, pos
   det_dark[pos[0]:pos[0]+pos[1]-1,pos[2]:pos[2]+pos[3]-1]=min(wd[*, *, 0])
  endfor

  ; for each exposure correct and line window, correct for dark current

  nwin = data_obj->getnwin()
  nexp = data_obj->getnexp()
  for j = 0, nexp - 1 do begin
    for i = 0, nwin-1 do begin
      data_obj->getwin, i, wd, pos
      x1 = pos[0]
      x2 = pos[0]+pos[1]-1
      y1 = pos[2]
      y2 = pos[2]+pos[3]-1
      wd[*, *, j] = (wd[*, *, j] - det_dark[x1:x2, y1:y2]) > 0
      data_obj->setvar, wd, i
    endfor
  endfor
;  for i=0,nwin-1 do begin
;    data_obj->getwin, i, wd, pos
;    eis_despike,wd,wdds
;    data_obj->setvar, wdds, i
;  endfor
end
