pro eis_plan::getsaa,start_ut_str,end_ut_str,init=init
  if n_elements(init) eq 1 then return
  start_tai=anytim2tai(start_ut_str)
  end_tai=anytim2tai(end_ut_str)
  dur_hr=(end_tai-start_tai)/3600.  
  obev=eis_read_orbit_events(start_tai,dur_hr)
;
  if n_tags(obev) eq 0 then return
; saa
  saa_bool=max(start_tai lt obev[*].start_time and $
               end_tai gt obev[*].start_time and   $
               stregex(obev[*].name,/fold_case,'saa',/boolean))
  saa_bool=max(start_tai ge obev[*].start_time and $
               start_tai le obev[*].stop_time and  $
               stregex(obev[*].name,/fold_case,'saa',/boolean)) or saa_bool
  if saa_bool then self.saa='IN' else self.saa='OUT'
; hlz
  hlz_bool=max(start_tai lt obev[*].start_time and $
               end_tai gt obev[*].start_time and   $
               stregex(obev[*].name,/fold_case,'hla',/boolean))
  hzl_bool=max(start_tai ge obev[*].start_time and $
               start_tai le obev[*].stop_time and  $
               stregex(obev[*].name,/fold_case,'hla',/boolean)) or hlz_bool
  if hlz_bool then self.hlz='IN' else self.hlz='OUT'
end


function eis_plan::getsaa,init=init
  if n_elements(init) eq 1 then return, -1
  return, self.saa
end
