
pro eis_mission_data_reformatter::eis_make_plan, hdr, doplan=doplan
  self->trace, 'eis_mission_data_reformatter::eis_make_plan'

;;  if debug then print,'constructing plan object'
  if debug then msg, 'constructing plan object'

  if not doplan then begin
; no planning informations available:
     msg, 'No planning information, using defaults'
     self.plan = obj_new('eis_plan')
  endif else begin     
     exp_info = hdr->getexp_info()
     seq_id = exp_info.seq_id
     rast_id = exp_info.rast_id
;; 20130220 mcrw
     !quiet=0
     message, 'Creating eis_plan with seq_id = '+strtrim(string(seq_id),2)+', rast_id = '+strtrim(string(rast_id),2),/info
     !quiet=1
;    plan = obj_new('eis_plan')
     self.plan = obj_new('eis_plan', seq_id, rast_id)
  endelse
end
