function eis_aux::init,filename
  self->init_aux_methods ; initialization of the help method
  self.help=obj_new('hw_help')
  if n_elements(filename) eq 0 then filename=''
  self.filename=filename
  filename=strsplit(filename,path_sep(),/extract)
  self.title=filename[n_elements(filename)-1]
  self.variablename=['Intensity', 'Velocity','Line width',$
                     'Int. error', 'Vel. error']
  self.units=['erg/cm!e2!N/s/sr', 'km/s', ' (FWHM)  m'+string(197b),$
              'erg/cm!e2!N/s/sr', 'km/s']
  self.wscale='pixels'
;  self.wscale=string("305B)
  self->setxytitle,wscale=self.wscale
;  self.xytitle=['Wavelength [pixels]', 'Slit pos. [pixels]', 'Raster pos. [pixels]', 'Time [seconds]']
  self.menu.naction=5
  self.menu.action=['Zoom','Average along wavelength', 'Average along slit',$
                    'Average along raster posistion', 'Average in Time']
  self.menu.nmode=5
  self.menu.mode=['Detector        ', $
                  'Browser         ', $
                  'Spectroheliogram', $
                  'Whisker         ', $
                  'Intensity map   ']
  self.menu.nparams=4
  self.menu.xtitle='Packet number'
  self.menu.params=['Fine Mirror Position', 'Main Sequence Count', $
                     'MHC exposure duration', 'MHC fine mirror strain gauge']
  self.menu.ytitle=self.params
  return,1
end

